[Addon 1.115]Transformers BETA-1 v2.0 - Convert IC2 & BC3 energy back & forth!

  • Hey ... after install of this Mod any Player disconnect after 5 -10 sec


    and in the Server Console the Massage User lost connection: disconnect.overflow ...


    Anyone know about this problem ?

  • [WARNING] [IC2] API ERROR: snyke7.Transformers.TileICEngine@645babd9
    didn't implement demandsEnergy() properly, no energy from injectEnergy
    accepted although demandsEnergy() returned true.


    That shows up periodically and some times continuously with the latest version of your mod, and then latest version of ic2. But it also did it before on 1.09 not just on 1.10

  • Still getting worse spam in the console. Now this:


    [WARNING] API ERROR: snyke7.Transformers.TileICEngine@1eb0bad9 didn't implement demandsEnergy() properly, no energy from injectEnergy accepted although demandsEnergy() returned true.

  • Hopefully Snyke has a bit more free time and gets this out sooner then later. A lot of times I end up having to remove it temp to upgrade :( Still love the mod a lot though that adjustable engine is sexy!

    Check out Our Brand New GT New Horizons Server .:Here:.
    Check out Our Brand New GT New Horizons Let's Play Series .:Here:.

  • Hopefully Snyke has a bit more free time and gets this out sooner then later. A lot of times I end up having to remove it temp to upgrade :( Still love the mod a lot though that adjustable engine is sexy!


    Agreed. I just discovered this mod and I love it. I can't believe I lived without it for so long. Also, greetings from Toronto. I used to live in Barrie :)

  • How do I add this to a tekkit server?


    Sorry if that question is stupid


    Thanks! :Industrial Diamond:

    Example of why tekkit sucks is because people don't even know anymore how to place mods in the mod folder.

    Check out Our Brand New GT New Horizons Server .:Here:.
    Check out Our Brand New GT New Horizons Let's Play Series .:Here:.

  • Does the 1.7 version work with Minecraft 1.4.6? It is unclear in the op. I tries installing 1.7 into my client and I get and error starting with:


    cpw.mods.fml.common.LoaderException: java.lang.NoSuchFieldError: G
    at cpw.mods.fml.common.LoadController.transition(LoadController.java:117)
    at cpw.mods.fml.common.Loader.initializeMods(Loader.java:660)
    at cpw.mods.fml.client.FMLClientHandler.finishMinecraftLoading

  • Ugh... I need this mod on 1.4.6 so hard! hmmm... Yeah! :love:

    Yep, I am from Russia, and yep, my english isn't good enough...
    So if.. if you dare to laugh of me, I.. I will find you and destroy with all our Soviet nuclear bombs, bwahahaha!
    Naah, I'm just kidding ^^ ... not. :|

  • Might have to wait Snyke one them devs who I guess is busy in rl and will watch us each day but not reply till he sees this and says da fuck :P

    Check out Our Brand New GT New Horizons Server .:Here:.
    Check out Our Brand New GT New Horizons Let's Play Series .:Here:.

  • Yeah sorry guys! Christmas and family stuff. I have started updating, still need to fix some EnergyNet implementation though, I hope I can finish it tonight!

    Busted <3 Don't forget Christmas comes first and thanks for the response ;)

    Check out Our Brand New GT New Horizons Server .:Here:.
    Check out Our Brand New GT New Horizons Let's Play Series .:Here:.

  • Does the 1.7 version work with Minecraft 1.4.6? It is unclear in the op. I tries installing 1.7 into my client and I get and error starting with:


    cpw.mods.fml.common.LoaderException: java.lang.NoSuchFieldError: G
    at cpw.mods.fml.common.LoadController.transition(LoadController.java:117)
    at cpw.mods.fml.common.Loader.initializeMods(Loader.java:660)
    at cpw.mods.fml.client.FMLClientHandler.finishMinecraftLoading


    Nothing for MC1.4.5 works with MC1.4.6 without, at minimum, a re-compile. Some mods need a re-compile and little internal tweaking.


    You'll have to wait with the rest of us, sorry.

  • With the new layout in MCP and changes in industrialcraft API the upgrade is not as simple as a simple recompile these mojang minime updates are annoying beyond reason. I tried to update one opensource mod and even when i managed to fix it mostly to get rid of errors it still crashed upon loading -.-

  • Updated! Haven't tested it alot yet though. I fixed the ENet implementation but am not entirely sure I did it correctly though :P.
    Oh and everyone with old worlds: If it says there is an ID conflict when loading your world, its just me using new forge methods and you can PROBABLY disregard it :).


    Also I have mostly figured out how I'm gonna balance things.
    The new MJ->EU system will no longer use Pneumatic Generators, those will only be available if you enable EasyMode in the config.
    Just letting you know, haven't started coding it yet, but coming soon!

  • Updated! Haven't tested it alot yet though. I fixed the ENet implementation but am not entirely sure I did it correctly though :P.
    Oh and everyone with old worlds: If it says there is an ID conflict when loading your world, its just me using new forge methods and you can PROBABLY disregard it :).

    Do you know what effect that has on SMP? I will give it a try when I get everything updated. Dropbox was being a jerk today for me. I remember having a issue like this with another mod before but in SMP it really screwed up a lot you had to close the client for reconnects.


    Also thanks so much and Merry Christmas!

    Check out Our Brand New GT New Horizons Server .:Here:.
    Check out Our Brand New GT New Horizons Let's Play Series .:Here:.